"""
Driver module for cx_Oracle, that allows creation of DB connections.
"""

import pydb
import cx_Oracle

def createConnection( url ):
    (driver, hostname, port, username, password, subname, extra) = pydb.ConnectionFactory.parseURL( url )
    dsn = cx_Oracle.makedsn( hostname, port, subname )
    return cx_Oracle.connect( username, password, dsn )


